aboutsummaryrefslogtreecommitdiff
path: root/src/usr
diff options
context:
space:
mode:
authorB Stack <bgstack15@gmail.com>2020-09-29 19:28:37 -0400
committerB Stack <bgstack15@gmail.com>2020-09-29 19:32:13 -0400
commit8b9bc25cc615f7e8ba86ce51d2dd83220a4e084f (patch)
tree5ee51736923f09d33dbd96e9183191d1508a8ff1 /src/usr
parentwrite nice readme (diff)
downloadmyautomount-8b9bc25cc615f7e8ba86ce51d2dd83220a4e084f.tar.gz
myautomount-8b9bc25cc615f7e8ba86ce51d2dd83220a4e084f.tar.bz2
myautomount-8b9bc25cc615f7e8ba86ce51d2dd83220a4e084f.zip
WIP: add rpm spec
Diffstat (limited to 'src/usr')
-rw-r--r--src/usr/libexec/myautomount/myautomount-initialize.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/usr/libexec/myautomount/myautomount-initialize.sh b/src/usr/libexec/myautomount/myautomount-initialize.sh
index cbcb5d6..ea87759 100644
--- a/src/usr/libexec/myautomount/myautomount-initialize.sh
+++ b/src/usr/libexec/myautomount/myautomount-initialize.sh
@@ -11,11 +11,11 @@ setupSystem() {
_needrestart=0
mkdir -m0755 -p "${MYA_PREFIX}${AUTOMOUNT_DIR}" || fail "Could not setup autofs rules! Check if this is being run as root?"
! test -f "${MYA_PREFIX}${AUTOMOUNT_FILE}" && {
- { touch "${MYA_PREFIX}${AUTOMOUNT_FILE}" && echo "* -fstype=auto,rw,nosuid,uid=${USER},gid=users :/dev/& " > "${AUTOMOUNT_FILE}" ; } || fail "Could not setup autofs rules! Check if this is being run as root?"
+ { touch "${MYA_PREFIX}${AUTOMOUNT_FILE}" && echo "* -fstype=auto,rw,nosuid,uid=${USER},gid=users :/dev/& " > "${MYA_PREFIX}${AUTOMOUNT_FILE}" ; } || fail "Could not setup autofs rules! Check if this is being run as root?"
_needrestart=1
}
! test -f "${MYA_PREFIX}${AUTOMOUNT_DIR_FILE}" && {
- { touch "${MYA_PREFIX}${AUTOMOUNT_DIR_FILE}" && echo "${AUTOMOUNT_BROWSEDIR} ${AUTOMOUNT_FILE} --timeout=5 " > "${AUTOMOUNT_DIR_FILE}" ; } || fail "Could not setup autofs rules! Check if this is being run as root?"
+ { touch "${MYA_PREFIX}${AUTOMOUNT_DIR_FILE}" && echo "${AUTOMOUNT_BROWSEDIR} ${AUTOMOUNT_FILE} --timeout=5 " > "${MYA_PREFIX}${AUTOMOUNT_DIR_FILE}" ; } || fail "Could not setup autofs rules! Check if this is being run as root?"
_needrestart=1
}
test ${_needrestart} -eq 1 && eval "service autofs restart"
bgstack15